## BudgieAppletInfo BudgieAppletInfo |

## Functions

BudgieAppletInfo * | budgie_applet_info_new ()

## Properties

gchar * | alignment | Read / Write
gpointer | applet | Read / Write / Construct
gchar * | description | Read / Write
gchar * | icon | Read / Write
gchar * | name | Read / Write
gint | position | Read / Write
gpointer | settings | Read / Write / Construct
gchar * | uuid | Read / Write

## Types and Values

struct | BudgieAppletInfo

## Object Hierarchy

        GObject
        ╰── BudgieAppletInfo

## Description

## Functions

### budgie_applet_info_new ()

    BudgieAppletInfo *
    budgie_applet_info_new (PeasPluginInfo *plugin_info,
                            const char *uuid,
                            BudgieApplet *applet,
                            GSettings *settings);

## Types and Values

### struct BudgieAppletInfo

    struct BudgieAppletInfo;

This type is private to the panel implementation, and is used to monitor, track, and control each applet instance.

## Property Details

### The `“alignment”` property

      “alignment”                gchar *

Set the applet alignment.

Flags: Read / Write

Default value: "start"

### The `“applet”` property

      “applet”                   gpointer

Set the applet instance.

[type BudgieApplet]

Flags: Read / Write / Construct

### The `“description”` property

      “description”              gchar *

Set the applet description.

Flags: Read / Write

Default value: NULL

### The `“icon”` property

      “icon”                     gchar *

Set the applet icon.

Flags: Read / Write

Default value: NULL

### The `“name”` property

      “name”                     gchar *

Set the applet name.

Flags: Read / Write

Default value: NULL

### The `“position”` property

      “position”                 gint

Set the applet position.

Flags: Read / Write

Allowed values: [-1000,1000]

Default value: 0

### The `“settings”` property

      “settings”                 gpointer

Set the applet GSettings.

[type GSettings]

Flags: Read / Write / Construct

### The `“uuid”` property

      “uuid”                     gchar *

Set the applet UUID.

Flags: Read / Write

Default value: NULL